function setActiveStyleSheet(title) {
  var i, a, main, b;

  if( undefined == (b = parent.main) ){
     b = window;
  }

  for(i=0; (a = b.document.getElementsByTagName("link")[i]); i++) {
    if(a.getAttribute("rel").indexOf("style") != -1 && a.getAttribute("title")) {
      a.disabled = true;
      if(a.getAttribute("title") == title) a.disabled = false;
    }
  }


  var imgPath = 'url(./img/fontsize_m.gif)';
  switch(title){
	case 'small':
		imgPath = 'url(./img/fontsize_s.gif)';
		break;
	case 'large':
		imgPath = 'url(./img/fontsize_l.gif)';
		break;
	case 'standard':
	default:
		break;
  }

  var ele = document.getElementById("fontSize");
  if( ele != null ){
	ele.style.backgroundImage = imgPath;
  }

}

function getActiveStyleSheet() {
  var i, a, b;
  if( undefined == (b = parent.main) ){
     b = window;
  }

  for(i=0; (a = b.document.getElementsByTagName("link")[i]); i++) {
    if(a.getAttribute("rel").indexOf("style") != -1 && a.getAttribute("title") && !a.disabled) return a.getAttribute("title");
  }
  return null;
}

function getPreferredStyleSheet() {
  var i, a, b;
  if( undefined == (b = parent.main) ){
     b = window;
  }

  for(i=0; (a = b.document.getElementsByTagName("link")[i]); i++) {
    if(a.getAttribute("rel").indexOf("style") != -1
       && a.getAttribute("rel").indexOf("alt") == -1
       && a.getAttribute("title")
       ) return a.getAttribute("title");
  }
  return null;
}

function createCookie(name,value,days) {
  if (days) {
    var date = new Date();
    date.setTime(date.getTime()+(days*24*60*60*1000));
    var expires = "; expires="+date.toGMTString();
  }
  else expires = "";

  var b;
  if( undefined == (b = parent.main) ){
     b = window;
  }

  b.document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
  var nameEQ = name + "=";
  var b;
  if( undefined == (b = parent.main) ){
     b = window;
  }

  var ca = b.document.cookie.split(';');
  for(var i=0;i < ca.length;i++) {
    var c = ca[i];
    while (c.charAt(0)==' ') c = c.substring(1,c.length);
    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
  }
  return null;
}

window.onload = function(e) {
  var cookie = readCookie("style");
  var title = cookie ? cookie : getPreferredStyleSheet();
  setActiveStyleSheet(title);
}

window.onunload = function(e) {
  var title = getActiveStyleSheet();
  createCookie("style", title, 365);
}

var cookie = readCookie("style");
var title = cookie ? cookie : getPreferredStyleSheet();
setActiveStyleSheet(title);
